﻿Public Class Form1

    Private Sub addButton_Click(sender As System.Object, e As System.EventArgs) Handles addButton.Click

        ' clear previous grades and calculation results
        If (averageResultLabel.Text <> String.Empty) Then
            averageResultLabel.Text = String.Empty
            gradesListBox.Items.Clear()
        End If

        ' display grade in list box
        If Val(gradeTextBox.Text) < 0 Or Val(gradeTextBox.Text) > 100 Then
            MessageBox.Show("Grade Value is not in the range 0 to 100, please fix it.", "Invalid grade value", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End If
        gradesListBox.Items.Add(Val(gradeTextBox.Text))
        gradeTextBox.Clear()    ' clear grade from text box
        gradeTextBox.Focus()    ' transfer focus to text box

        ' prohibit users from entering nmore than 10 grades
        If (gradesListBox.Items.Count >= 10) Then
            addButton.Enabled = False   ' disable add grade button
            averageButton.Focus()       ' transfer focus to average button
        End If
    End Sub

    Private Sub averageButton_Click(sender As System.Object, e As System.EventArgs) Handles averageButton.Click
        'initialisation step
        Dim total As Integer
        Dim gradeCouter As Integer
        Dim grade As Integer
        Dim average As Double

        'sum grades in listbox
        Do
            grade = gradesListBox.Items(gradeCouter)
            total += grade
            gradeCouter += 1
        Loop Until gradeCouter >= 10

        average = total / 10    'calculate the average
        averageResultLabel.Text = String.Format("{0:F}", average) ' display average in floating point format
        addButton.Enabled = True    ' enable add grade button
        gradeTextBox.Focus()        ' transfer focus to grade text box
    End Sub
End Class
